﻿Type=Activity
Version=3.2
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim reqManager As DBRequestManager
	Dim selectedlist As Map
	Type TitleandPrice (Title As String,Price As String)
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Dim scrollview2 As ScrollView 
	Private RadioButton1 As RadioButton
	Private RadioButton2 As RadioButton
	Private RadioButton3 As RadioButton
	Dim BookID As String
	Dim BookName As String
	Dim BookDescription As String
	Dim BookPrice As String
	Dim BookPath As String
	Dim Rdate As Int
	Dim clsList As ClsCheckList 
	
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("store")
	If FirstTime Then
		reqManager.Initialize(Me, "http://10.1.4.39:17178")
	End If
	scrollview2.Initialize(80dip)
	clsList.Initialize(Me,scrollview2,"sv_checked","","",1dip)
'	ListView1.TwoLinesLayout.Label.TextColor  = Colors.White 
'	ListView1.TwoLinesLayout.SecondLabel.TextColor = Colors.Gray
	SelectBooks
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub SelectBooks
	Dim cmd As DBCommand
	cmd.Initialize 
	cmd.name = "Select_Books"
	cmd.Parameters = Array As Object(BookID) 
	reqManager.ExecuteQuery(cmd,0,Null)
End Sub

Sub ListView1_ItemClick (Position As Int, Value As Object)
	
End Sub

Sub JobDone(Job As HttpJob)
	If Job.Success = False Then
		Log("Error: " & Job.ErrorMessage)
	Else
		If Job.JobName = "DBRequest" Then
			Dim result As DBResult = reqManager.HandleJob(Job)
			
			Dim record() As Object 
			record = result.Rows.Get(0)
			For Each record() As Object In result.Rows 
				BookID = record(result.Columns.Get("ID"))
				BookName = record(result.Columns.Get("Title"))
				BookDescription = record(result.Columns.Get("Info"))
				BookPrice = record(result.Columns.Get("Price"))
				Rdate = record(result.Columns.Get("RDate"))
			If result.Rows.Size >0 Then	
				'clsList.AddItem(BookID,False,BookName,BookDescription & " " & BookPrice,Null)
				Log(BookID)
				Log(BookName)
				Log(BookDescription)
				Log(BookPrice)
			Else
				Log("No Records")
			End If
			Next
			Log("connection test")
		End If
	End If
	Job.Release
End Sub

Sub sv_checked(chb As CheckBox ,ID As Object)
	Dim item As TitleandPrice
	item = ID
	
	If chb.Checked = True Then
		selectedlist.put(item.Title,item.Price)
	Else
		selectedlist.Remove (item.Title)
	End If

	Log(selectedlist)
End Sub