﻿Type=Activity
Version=3.2
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim reqManager As DBRequestManager

	
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Private Store_RadioButton As RadioButton
	Private Search_RadioButton As RadioButton
	Private Library_RadioButton As RadioButton
	Private Books_ListView As ListView
	Dim ID As Int
	Dim BookName As String
	Dim BookDescription As String
	Dim Title As String
	Private AC_SearchBooks As AutoCompleteEditText
	Dim SearchList As List
	
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("search")
	If FirstTime Then
		reqManager.Initialize(Me, "http://10.1.4.42:17178")
	End If
	AvailableBooks
	SearchList.Initialize
	AC_SearchBooks.SetItems(SearchList)
'	Books_ListView.Initialize(
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub AvailableBooks

	Dim cmd As DBCommand
	cmd.Initialize
	cmd.Name = "Select_Books"
	cmd.Parameters = Array As Object(ID)
	reqManager.ExecuteQuery(cmd,0,"selectbooks")
	
End Sub

'Sub SearchBooks
'
'	Dim cmd As DBCommand
'	cmd.Initialize
'	cmd.Name = "Select_Search"
'	cmd.Parameters = Array As Object(ID)
'	reqManager.ExecuteQuery(cmd,0,"searchbooks")
'	
'End Sub


Sub JobDone(Job As HttpJob)
	If Job.Success = False Then
		Log("Error: " & Job.ErrorMessage)
	Else
		If Job.JobName = "DBRequest" Then
			Dim result As DBResult = reqManager.HandleJob(Job)
			
				If result.Tag = "selectbooks" Then
					Dim record() As Object
					record = result.Rows.Get(0)
					For Each record() As Object In result.Rows
					
					BookName = record(result.Columns.Get("Title"))
					BookDescription = record(result.Columns.Get("Info"))
					SearchList.Add(BookName)
					
					Next
				End If
				
				
			Else
				Log("No Records")
		
			Log("connection test")
		End If
	End If	
	Job.Release
End Sub

Sub AC_SearchBooks_ItemClick (Value As String)
	
End Sub

Sub Store_RadioButton_CheckedChange(Checked As Boolean)
	
End Sub

Sub Search_RadioButton_CheckedChange(Checked As Boolean)
	
End Sub

Sub Library_RadioButton_CheckedChange(Checked As Boolean)
	
End Sub

